[1.15.2] Strange crash when someone tried to spawn an invincible golem riding a bee

Discussion in 'Spigot Help' started by eccodreams, Feb 9, 2020.

Thread Status:
Not open for further replies.
  1. Hello Spigot forums!

    I created an account to share quite the strange occurrence, an interesting and strange crash when a friend of mine tried using /summon to spawn a bee with an invincible Iron Golem as its passenger.

    "net.minecraft.server.v1_15_R1.EntityBee$1 cannot be cast to net.minecraft.server.v1_15_R1.Navigation" was what I noticed, and doing a quick search around the web I couldn't find anything at all. Attached to this post you will find the .txt crash log, and linked here is a Pastebin of the file in case something happens to it/etc. Hopefully one of you code wizards can solve this one, because I'm pretty novice in my programming knowledge and have no idea how this might have happened.

    If this is the incorrect thread category to post this sort of issue to, please direct me to wherever it is more appropriate. Cheers, and good hunting!
     

    Attached Files:

  2. md_5

    Administrator Developer

    Suggest you test vanilla and then visit the appropriate bug tracker
     
  3. Thank you, will do. I might as well report back with my findings & link to the Minecraft bug tracker if it reproduces on a vanilla server.
     
  4. I tested a fresh Vanilla 1.15.2 server and experienced no crash; the game ran just fine. I had my friend replicate the command he used, here it is:

    /summon bee ~ ~1 ~ {Passengers:[{id:iron_golem,Invulnerable:1}]}

    Any thoughts?
     
  5. Just tried the same command on Spigot 1.15.2 and worked with no crash.
    Using:
    Code (Text):
    [12:56:18] [Server thread/INFO]: This server is running CraftBukkit version git-Spigot-c574e08-708be69 (MC: 1.15.2) (Implementing API version 1.15.2-R0.1-SNAPSHOT)
     
  6. Are you using the latest 1.15.2 build
     
  7. Very strange. Could have just been a one-off.

    When I do /version, I get this: "This server is running CraftBukkit version git-Spigot-800b93f-8160e29 (MC: 1.15.2) (Implementing API version 1.15.2-R0.1-SNAPSHOT)"

    And below that, it tells me "You are 34 version(s) behind". I don't know where I can get the most recent version, as going to the download page gives me the same version.
     
  8. What download page? You should be using BuildTools (wiki page: https://www.spigotmc.org/wiki/buildtools/)
     
    • Agree Agree x 1
  9. Getbukkit is not the place to source your builds
    Paper hosts jars on their site however
     
  10. Yeah, I've switched over to Paper just in case something weird happens again. So far it's been running just fine. I'll close the thread, guess it's just a random mystery.
     
Thread Status:
Not open for further replies.